Subject: bug#77727: [PATCH] Limit rust-ts-specific comment-start check to rust-ts (bug#77727)

From: Konstantin Kharlamov <[email-masked]>
Date: Fri, 18 Apr 2025 12:48:03 +0300

Anyway, to avoid keep guessing I did a series of experiments.

I first found that recloning everything anew fixes the problem.

I kept the older problematic repo, so at that point I tried:

1. Removing `build` dir
2. Removing everything untracked under `lisp/` (with `git clean -fdx --
lisp`).
3. Removing the DESTDIR, i.e. recreating it anew before installation.

Neither helped.

At that point I tried a `git clean -fdx -- .` to remove everything
untracked from Emacs repo. That did help.

So at that point it is clear the reason for the break is some stray
artifact not being removed, not even by `make boostrap`.

I created a list of files before and after (with `git status
--ignored`), and the difference is only the removed files (no added
ones) as shown below.

I don't really see how any of them could be causing it, but… well,
these are the findings.

    15d13
    <       Makefile
    17d14
    <       admin/charsets/Makefile
    20,21d16
    <       admin/grammars/Makefile
    <       admin/unidata/Makefile
    192,193d186
    <       config.log
    <       config.status
    195,197d187
    <       configure~
    <       cross/Makefile
    <       doc/emacs/Makefile
    199,200d188
    <       doc/lispintro/Makefile
    <       doc/lispref/Makefile
    202d189
    <       doc/misc/Makefile
    341d327
    <       exec/config.h.in~
    344d329
    <       exec/configure~
    347,353d331
    <       java/AndroidManifest.xml
    <       java/Makefile
    <       leim/Makefile
    <       leim/small-ja-dic-option
    <       lib-src/Makefile
    <       lib/Makefile
    <       lib/gnulib.mk
    2055,2060d2032
    <       lwlib/Makefile
    <       nextstep/Makefile
    <       nt/Makefile
    <       oldXMenu/Makefile
    <       src/Makefile
    <       src/config.h
    2062,2068d2033
    <       src/config.in~
    <       src/emacs-module.h
    <       src/epaths.h
    <       src/verbose.mk
    <       test/Makefile
    <       test/infra/Makefile
    <       test/manual/noverlay/Makefile

---------

To answer your question: `./configure` call I'm using does modify some
installation directories, but I'm sure it's unrelated to the problem,
because these "modifications" worked before and work now that I
removed build artifacts.